package com.red.circle.console.app.service.app.team.manager;

import com.red.circle.console.app.dto.clienobject.team.manager.TeamManagerCO;
import com.red.circle.console.app.dto.cmd.app.team.manager.TeamManagerAddCmd;
import com.red.circle.console.app.dto.cmd.app.team.manager.TeamManagerUpdateCmd;
import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.team.manager.TeamManagerOpsPageQryCmd;

/**
 * 团队经理管理.
 */
public interface TeamManagerService {

  PageResult<TeamManagerCO> pageOps(TeamManagerOpsPageQryCmd qryCmd);

  void add(TeamManagerAddCmd cmd);

  void update(TeamManagerUpdateCmd cmd);

  void delete(Long id, Long updateUser);

}
